Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.entitlements.resource
Class GlobalRoleResource

    java.lang.Object
      |
      +--weblogic.security.service.ResourceBase
            |
            +--com.bea.p13n.entitlements.resource.P13nResource
                  |
                  +--com.bea.p13n.entitlements.resource.GlobalRoleResource

All Implemented Interfaces:
  Resource, SelfDescribingResource, Serializable

public class GlobalRoleResource
extends P13nResource

The GlobalRoleResource class is used to represent an application defined resource for management and runtime checking of role and security policies.

This class has special significance for the formation and runtime checking of role policies associated with a resource. Role policies will be collected only global scope.

This class will search for security policies beginning at the application resource leaf node and then in a hiearchical manner, until located, using the P13nSecurityResource class.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.p13n.entitlements.resource.P13nResource
`empty`

Fields inherited from class weblogic.security.service.ResourceBase
`id, length, NO_PARENT, parent, resStr, SCOPE_RESOURCE_ACTION, values`

Fields inherited from interface weblogic.security.spi.SelfDescribingResource
`LIST_FIELD_TYPE, NORMAL_FIELD_TYPE, PATH_FIELD_TYPE, UNDEFINED_FIELD_TYPE`

Constructor Summary
`GlobalRoleResource(String entAppName, String webAppName, String appResourceID, String capability)` Construct a resource whose role policies will be scoped at a global level

Method Summary
`int` | `getResourceScope()` Return the resource type of this class.
`String` | `toString()` This method overrides the base class which will always include a "type=app" in its string representation.

Methods inherited from class com.bea.p13n.entitlements.resource.P13nResource
`getCapabilityName, getEntAppName, getKeys, getResourceName, getSecurityResource, getType, getWebAppName, makeParent, setInitialValues, setSecurityResource`

Methods inherited from class weblogic.security.service.ResourceBase
`appendArrayValue, appendValue, equals, getFieldType, getID, getParentResource, getRepeatingFieldIndex, getRepeatingFieldTerminatingIndex, getValues, hashCode, init, init, reset, writeResourceString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GlobalRoleResource

    public GlobalRoleResource(String entAppName,
                              String webAppName,
                              String appResourceID,
                              String capability)

  Construct a resource whose role policies will be scoped at a global level

Parameters:
  `entAppName` - Enterprise application name.
  `webAppName` - Webapp name.
  `appResourceID` - Application-defined resource taxonomy Id

Method Detail

### getResourceScope

    public final int getResourceScope()

  Return the resource type of this class.

  Specified by:
    `getResourceScope` in class `P13nResource`
  Returns:
    EntitlementConstants.GLOBAL_ROLE_INHERITANCE.

### toString

    public String toString()

  This method overrides the base class which will always include a "type=app" in its string representation. To access the WLS global roles, the method returns an empty string.

  Specified by:
    `toString` in interface `Resource`
  Overrides:
    `toString` in class `P13nResource`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved